<!DOCTYPE html>
{% load static %}

<head>

    <meta charset="UTF-8">
    <title>Suivi Productions</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'style/style.css'%}">
    <link rel="stylesheet" href="{% static 'style/production.css'%}">

</head>

<body>

<h1 class ="h1center" >Etat <code>Serveurs</code>  
{% for env in liste_env %}
    {% if hostname == env.nom %}
        - {% if env.env == "DEV" %}<font color=green>
        {% elif env.env == "REC" %}<font color=orange>
        {% elif env.env == "PROD" %}<font color=red>
        {% endif %}
        <b>{{ hostname }} - {{ env.description}}</b></font>
    {% endif %}
{% endfor %}
</h1>

{% include 'menu.html' %}

{% block content %}
<br>

<div style="text-align:center;">
    <h1 style="width: 50%; margin: auto; padding: 10px;">Etat des serveurs/applications éditiques</h1>
</div>

{% for env in liste_env %}
    <div style="width: 70%; margin: auto; background-color: #4F72DA; align: center;">
    <div style="text-align:center;">
        <h2 style="width: 50%; margin: auto; padding: 10px;">{{ env.env }} | {{ env.adresse_ip }} | {{ env.nom }} | {{ env.description }}</h2>

    </div>

    <div style="column-count: 3; ">
        {% for srv in liste_srv %}

            {% if env.env == srv.env %}
            
                <div class="list" style="padding: 10px; background-color: #95AAE9; ">
                    {% if srv.result == True %}
                    <div class="rectangle rectangle-big rectangle-vert">Online
                    {% else %}
                    <div class="rectangle rectangle-big rectangle-rouge">Offline
                    {% endif %}    
                        <div class="infobulle">{{ srv.adresse_ip }}:{{ srv.port }}</div>
                    </div> {{ srv.description }}
                </div>
            {% endif %}
        {% endfor %}
    </div>
    </div>
    <br>
{% endfor%}

<div style="text-align:center;">
    <h1 style="width: 50%; margin: auto; padding: 10px;">Etat des APIs</h1>
</div>

<div style="text-align:center;">
    <a href=https://aonetechfactory.kb.francecentral.azure.elastic-cloud.com:9243/app/uptime?query=EditiqueApi target=_blank>
        <img src="{% static 'images/Elasticsearch-Logo-Color-H.png' %}" alt="Accès supervision API"/ height=50>
    </a>
</div>
{% endblock %}

{% csrf_token %}

</body>